Bug 1804879 - Delete storage option missing on Topology view [NEEDINFO]
Summary: Delete storage option missing on Topology view
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: cvogt
QA Contact: Ruchir Garg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 19:19 UTC by przem123
Modified: 2020-03-11 20:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-11 20:54:57 UTC
Target Upstream Version:
cvogt: needinfo? (bpeterse)


Attachments (Terms of Use)
Topology (158.74 KB, image/png)
2020-02-21 19:07 UTC, przem123
no flags Details
Remove volume in 4.3 console (21.93 KB, image/png)
2020-03-02 13:15 UTC, Steve Speicher
no flags Details

Description przem123 2020-02-19 19:19:04 UTC
As developer, I can see all apps on Topology view. There, when I right click on an app, I can add storage to it, but an option to delete one is missing. Please fix this.

Comment 1 Hemant Kumar 2020-02-21 15:29:45 UTC
Can you post some screenshot of the "Topology View" and what you are asking for?

Comment 2 przem123 2020-02-21 19:07:36 UTC
Created attachment 1664831 [details]
Topology

In the attachment you can see the topology view. Delete storage option is missing.

Comment 4 bpeterse 2020-02-25 16:12:54 UTC
This is a dev console component, moving it along.

Comment 5 cvogt 2020-02-25 19:50:05 UTC
The actions for deployment configs in topology are the same actions shown in the deployment config list view and details page elsewhere in the console.

AFAIK there is no current action for deleting storage and therefore this would be a feature request.

Comment 7 przem123 2020-02-28 01:35:18 UTC
Can you provide the option for deleting storage in Topology? I would need it for my use cases.

Comment 8 Steve Speicher 2020-03-02 13:14:07 UTC
Can you elaborate on why this is such a common action that needs to be on the Topology page as a top action?

It feels like an infrequent thing to do (and obviously quite destructive). It is accessible already on the Deployments (workload) detail pages in the 4.x console. We'll do some more validation of this but I fear it might do more harm that good (clutter top level actions for an infrequent action).

Adding attachment of where action exists

Comment 9 Steve Speicher 2020-03-02 13:15:04 UTC
Created attachment 1666955 [details]
Remove volume in 4.3 console

Comment 10 przem123 2020-03-02 15:44:40 UTC
Steve, for me, this would be a standard use case. The users on my system use mainly the Topology view which is very simple and intuitive. They can add storage which is great, but sometimes users may want to unmount and delete the volumes because they do not want to exceed quotas. Finding out how to do it is right now quite challenging. I dont think this can be destructive, if you would add a popup or something for users to confirm their decisions, then I guess, it would be sufficient.

Comment 11 przem123 2020-03-09 15:28:50 UTC
Any update ? Can the option for unmount/delete storage be added in Openshift 4.4?

Comment 12 cvogt 2020-03-10 19:42:54 UTC
4.4 Feature Freeze ended Jan 24th, so this is not something that will be in 4.4.

Comment 13 Steve Speicher 2020-03-11 20:54:57 UTC
We've review as a team and we feel like there is adequate path to access the delete action. There isn't a broad enough set of users that have this same usage pattern. Therefore going to close and will reconsider if we get more interest.


Note You need to log in before you can comment on or make changes to this bug.